ant & maven backports for 18.04 LTS

Bug #1818647 reported by Matthias Klose on 2019-03-05
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
angular-maven-plugin (Ubuntu)
Bionic
Undecided
Unassigned
ant (Ubuntu)
Bionic
Undecided
Unassigned
ant-contrib (Ubuntu)
Bionic
Undecided
Unassigned
antlr4 (Ubuntu)
Bionic
Undecided
Unassigned
clojure-maven-plugin (Ubuntu)
Bionic
Undecided
Unassigned
gradle-apt-plugin (Ubuntu)
Bionic
Undecided
Unassigned
gradle-completion (Ubuntu)
Bionic
Undecided
Unassigned
jarjar-maven-plugin (Ubuntu)
Bionic
Undecided
Unassigned
maven (Ubuntu)
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
maven-ant-helper (Ubuntu)
Bionic
Undecided
Unassigned
maven-cache-cleanup (Ubuntu)
Bionic
Undecided
Unassigned
maven-clean-plugin (Ubuntu)
Bionic
Undecided
Unassigned
maven-common-artifact-filters (Ubuntu)
Undecided
Unassigned
Cosmic
Undecided
Unassigned
maven-dependency-analyzer (Ubuntu)
Bionic
Undecided
Unassigned
maven-doxia-tools (Ubuntu)
Bionic
Undecided
Unassigned
maven-jar-plugin (Ubuntu)
Bionic
Undecided
Unassigned
maven-parent (Ubuntu)
Bionic
Undecided
Unassigned
maven-plugin-testing (Ubuntu)
Bionic
Undecided
Unassigned
maven-processor-plugin (Ubuntu)
Bionic
Undecided
Unassigned
maven-repo-helper (Ubuntu)
Bionic
Undecided
Unassigned
maven-resolver (Ubuntu)
Bionic
Undecided
Unassigned
maven-resources-plugin (Ubuntu)
Bionic
Undecided
Unassigned
maven-scm (Ubuntu)
Undecided
Unassigned
Cosmic
Undecided
Unassigned
maven-shade-plugin (Ubuntu)
Bionic
Undecided
Unassigned
maven-shared-utils (Ubuntu)
Bionic
Undecided
Unassigned
mojo-executor (Ubuntu)
Bionic
Undecided
Unassigned
properties-maven-plugin (Ubuntu)
Bionic
Undecided
Unassigned
string-template-maven-plugin (Ubuntu)
Bionic
Undecided
Unassigned
xml-maven-plugin (Ubuntu)
Bionic
Undecided
Unassigned

Bug Description

and & maven backports for 18.04 LTS

Matthias Klose (doko) on 2019-03-05
summary: - and & maven backports for 18.04 LTS
+ ant & maven backports for 18.04 LTS
Matthias Klose (doko) on 2019-03-05
no longer affects: gradle-plugin-protobuf (Ubuntu)

Hello Matthias, or anyone else affected,

Accepted angular-maven-plugin into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/angular-maven-plugin/0.3.4-3~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in angular-maven-plugin (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic
no longer affects: angular-maven-plugin (Ubuntu)
Changed in antlr4 (Ubuntu Bionic):
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Matthias, or anyone else affected,

Accepted antlr4 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/antlr4/4.7.2-1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

no longer affects: antlr4 (Ubuntu)
Changed in ant (Ubuntu Bionic):
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Matthias, or anyone else affected,

Accepted ant into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ant/1.10.5-2~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

no longer affects: ant (Ubuntu)
Changed in ant-contrib (Ubuntu Bionic):
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Matthias, or anyone else affected,

Accepted ant-contrib into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ant-contrib/1.0~b3+svn177-10~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

no longer affects: ant-contrib (Ubuntu)
Changed in clojure-maven-plugin (Ubuntu Bionic):
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Matthias, or anyone else affected,

Accepted clojure-maven-plugin into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/clojure-maven-plugin/1.7.1-2~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

no longer affects: clojure-maven-plugin (Ubuntu)
Changed in gradle-apt-plugin (Ubuntu Bionic):
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Matthias, or anyone else affected,

Accepted gradle-apt-plugin into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gradle-apt-plugin/0.10-1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

no longer affects: gradle-apt-plugin (Ubuntu)
Changed in gradle-completion (Ubuntu Bionic):
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Matthias, or anyone else affected,

Accepted gradle-completion into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gradle-completion/1.3.1-1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Steve Langasek (vorlon) wrote :

Hello Matthias, or anyone else affected,

Accepted jarjar-maven-plugin into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/jarjar-maven-plugin/1.9-8~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

no longer affects: gradle-completion (Ubuntu)
Changed in jarjar-maven-plugin (Ubuntu Bionic):
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Matthias, or anyone else affected,

Accepted maven into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/maven/3.6.0-1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

no longer affects: jarjar-maven-plugin (Ubuntu)
Changed in maven (Ubuntu Bionic):
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Matthias, or anyone else affected,

Accepted maven-ant-helper into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/maven-ant-helper/8.5~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

no longer affects: maven (Ubuntu)
Changed in maven-ant-helper (Ubuntu Bionic):
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Matthias, or anyone else affected,

Accepted maven-cache-cleanup into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/maven-cache-cleanup/1.0.4-1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

no longer affects: maven-ant-helper (Ubuntu)
Changed in maven-cache-cleanup (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: maven-cache-cleanup (Ubuntu)
Changed in maven-clean-plugin (Ubuntu Bionic):
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Matthias, or anyone else affected,

Accepted maven-clean-plugin into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/maven-clean-plugin/3.1.0-1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

no longer affects: maven-clean-plugin (Ubuntu)
Changed in maven-dependency-analyzer (Ubuntu Bionic):
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Matthias, or anyone else affected,

Accepted maven-dependency-analyzer into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/maven-dependency-analyzer/1.10-1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

no longer affects: maven-dependency-analyzer (Ubuntu)
Changed in maven-doxia-tools (Ubuntu Bionic):
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Matthias, or anyone else affected,

Accepted maven-doxia-tools into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/maven-doxia-tools/1.4-4~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

no longer affects: maven-doxia-tools (Ubuntu)
Changed in maven-jar-plugin (Ubuntu Bionic):
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Matthias, or anyone else affected,

Accepted maven-jar-plugin into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/maven-jar-plugin/3.1.1-1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

no longer affects: maven-jar-plugin (Ubuntu)
Changed in maven-parent (Ubuntu Bionic):
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Matthias, or anyone else affected,

Accepted maven-parent into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/maven-parent/31-2~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

no longer affects: maven-parent (Ubuntu)
Changed in maven-plugin-testing (Ubuntu Bionic):
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Matthias, or anyone else affected,

Accepted maven-plugin-testing into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/maven-plugin-testing/3.3.0-1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

no longer affects: maven-plugin-testing (Ubuntu)
Changed in maven-processor-plugin (Ubuntu Bionic):
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Matthias, or anyone else affected,

Accepted maven-processor-plugin into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/maven-processor-plugin/3.3.3-1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

no longer affects: maven-processor-plugin (Ubuntu)
Changed in maven-repo-helper (Ubuntu Bionic):
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Matthias, or anyone else affected,

Accepted maven-repo-helper into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/maven-repo-helper/1.9.3~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in maven-resolver (Ubuntu Bionic):
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Matthias, or anyone else affected,

Accepted maven-resolver into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/maven-resolver/1.3.1-1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

no longer affects: maven-repo-helper (Ubuntu)
no longer affects: maven-resolver (Ubuntu)
Changed in maven-resources-plugin (Ubuntu Bionic):
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Matthias, or anyone else affected,

Accepted maven-resources-plugin into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/maven-resources-plugin/3.1.0-1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in maven-shade-plugin (Ubuntu Bionic):
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Matthias, or anyone else affected,

Accepted maven-shade-plugin into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/maven-shade-plugin/3.1.1-1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

no longer affects: maven-shade-plugin (Ubuntu)
Changed in maven-shared-utils (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: maven-resources-plugin (Ubuntu)
Steve Langasek (vorlon) wrote :

Hello Matthias, or anyone else affected,

Accepted maven-shared-utils into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/maven-shared-utils/3.3.0-1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

no longer affects: maven-shared-utils (Ubuntu)
Changed in mojo-executor (Ubuntu Bionic):
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Matthias, or anyone else affected,

Accepted mojo-executor into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mojo-executor/2.3.0-1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

no longer affects: mojo-executor (Ubuntu)
Changed in properties-maven-plugin (Ubuntu Bionic):
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Matthias, or anyone else affected,

Accepted properties-maven-plugin into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/properties-maven-plugin/1.0.0-2~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

no longer affects: properties-maven-plugin (Ubuntu)
Changed in xml-maven-plugin (Ubuntu Bionic):
status: New → Fix Committed
Changed in string-template-maven-plugin (Ubuntu Bionic):
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Matthias, or anyone else affected,

Accepted xml-maven-plugin into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xml-maven-plugin/1.0.1-4~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Steve Langasek (vorlon) wrote :

Hello Matthias, or anyone else affected,

Accepted string-template-maven-plugin into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/string-template-maven-plugin/1.1-1~18.04ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

no longer affects: string-template-maven-plugin (Ubuntu)
no longer affects: xml-maven-plugin (Ubuntu)
Matthias Klose (doko) on 2019-03-12
no longer affects: stegosuite (Ubuntu)
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted maven into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/maven/3.6.0-1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in maven (Ubuntu Cosmic):
status: New → Fix Committed
tags: added: verification-needed-cosmic
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted maven into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/maven/3.6.0-1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package angular-maven-plugin - 0.3.4-3~18.04

---------------
angular-maven-plugin (0.3.4-3~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1818647.

angular-maven-plugin (0.3.4-3) unstable; urgency=medium

  * Team upload.
  * Removed the dependency on libecj-java
  * Standards-Version updated to 4.2.1
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Matthias Klose <email address hidden> Tue, 05 Mar 2019 12:42:30 +0100

Changed in angular-maven-plugin (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ant - 1.10.5-3~18.04

---------------
ant (1.10.5-3~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1818647.

ant (1.10.5-3) unstable; urgency=medium

  [ Matthias Klose ]
  * Mark binary packages as M-A: foreign. Closes: #925467.
  * Bump standards version.

  [ Tiago Stürmer Daitx ]
  * Enable multi release jar support. LP: #1808383.
    - debian/patches/0016-multirelease-jar-support.patch: apply 2 upstream
      patches to provide mrjar support.

ant (1.10.5-2) unstable; urgency=medium

  * Team upload.
  * Lower the minimum required source/target level to 1.6 again.
    This is acceptable for OpenJDK 11 but must be reverted for OpenJDK 12.
    Thanks to Bdale Garbee for the report and patch. (Closes: #906785)
  * Declare compliance with Debian Policy 4.2.1.

ant (1.10.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Replaced debian/orig-tar.sh with the Files-Excluded mechanism
  * Standards-Version updated to 4.1.5

ant (1.10.4-2) unstable; urgency=medium

  * Team upload.
  * Reverted the modification setting the 'release' attribute automatically
    since this renders the internal JDK APIs unavailable at compile time.
    (Closes: #902895)

ant (1.10.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Compile with hamcrest-all on the classpath

ant (1.10.3-2) unstable; urgency=medium

  * Team upload.
  * Automatically set the value of the javac --release attribute to improve
    the backward compatibility of the code compiled with Java 9 or later.
  * Standards-Version updated to 4.1.4
  * Use salsa.debian.org Vcs-* URLs

 -- Matthias Klose <email address hidden> Thu, 28 Mar 2019 11:13:28 +0100

Changed in ant (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package antlr4 - 4.7.2-1~18.04

---------------
antlr4 (4.7.2-1~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1818647.

antlr4 (4.7.2-1) unstable; urgency=medium

  [ Andrius Merkys ]
  * Adding /usr/share/java/treelayout.jar to CLASSPATH in grun (Closes: #902230).

  [ Andrej Shadura ]
  * New upstream release.

antlr4 (4.7.1-1) unstable; urgency=medium

  * Team upload.

  [ Andrius Merkys ]
  * New upstream version 4.7.1 (Closes: #911371)
  * Adding a patch to fix string template input file
    tool/resources/org/antlr/v4/tool/templates/unicodedata.st.
  * Adding new build-depends to d/control.
  * Replacing embedded JavaScript code with symlinks.

antlr4 (4.6-2) unstable; urgency=medium

  * Added the missing runtime dependency on libjsonp-java

antlr4 (4.6-1) unstable; urgency=medium

  * New upstream release
    - New dependency on libjsonp-java
    - Updated the Maven rules
    - Ignore the runtime-testsuite/annotations and runtime-testsuite/processors
      modules
  * Removed the Maven 2 compatibility patch
  * Standards-Version updated to 4.1.5
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Matthias Klose <email address hidden> Tue, 05 Mar 2019 12:48:27 +0100

Changed in antlr4 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gradle-apt-plugin - 0.10-1~18.04

---------------
gradle-apt-plugin (0.10-1~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1818647.

gradle-apt-plugin (0.10-1) unstable; urgency=medium

  * Initial release (Closes: #908390)

 -- Matthias Klose <email address hidden> Tue, 05 Mar 2019 14:55:07 +0100

Changed in gradle-apt-plugin (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gradle-completion - 1.3.1-1~18.04

---------------
gradle-completion (1.3.1-1~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1818647.

gradle-completion (1.3.1-1) unstable; urgency=medium

  * Initial release. (Closes: #900951)

 -- Matthias Klose <email address hidden> Tue, 05 Mar 2019 14:56:59 +0100

Changed in gradle-completion (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jarjar-maven-plugin - 1.9-8~18.04

---------------
jarjar-maven-plugin (1.9-8~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1818647.

jarjar-maven-plugin (1.9-8) unstable; urgency=medium

  * Team upload.
  * Switched again to libasm-java and fixed the compatibility with ASM 6
  * Removed Damien Raude-Morvan from the uploaders (Closes: #889419)
  * Standards-Version updated to 4.3.0
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Matthias Klose <email address hidden> Tue, 05 Mar 2019 13:32:08 +0100

Changed in jarjar-maven-plugin (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package maven - 3.6.0-1~18.04.1

---------------
maven (3.6.0-1~18.04.1) bionic; urgency=medium

  [ Matthias Klose ]
  * Backport for OpenJDK 11. LP: #1818647.

  [ Tiago Stürmer Daitx ]
  * debian/maven.maintscript: remove obsolete /etc/bash_completion.d/maven
    file. LP: #1824010.

maven (3.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Updated the Maven rules
  * Generate Java 7 compatible bytecode

maven (3.5.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Install the bash-completion script /usr/share/bash-completion/completions/
    instead of /etc/bash_completion.d/
  * Generate Java 8 compatible bytecode
  * Removed the qdox patch (fixed upstream)
  * Standards-Version updated to 4.2.1

maven (3.5.3-1) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * New upstream release
    - Refreshed the patches
    - Depend on libmaven-shared-utils-java (>= 3.2.1)
    - Depend on libmaven-parent-java (>= 31)
  * Standards-Version updated to 4.1.4
  * Use salsa.debian.org Vcs-* URLs

  [ Stephen Kitt ]
  * Remove Damien from the uploaders list; thanks for all the work over
    the years! (Closes: #889396.)
  * Add myself to the uploaders.

 -- Tiago Stürmer Daitx <email address hidden> Tue, 09 Apr 2019 21:35:11 +0000

Changed in maven (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package maven-jar-plugin - 3.1.1-1~18.04

---------------
maven-jar-plugin (3.1.1-1~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1818647.

maven-jar-plugin (3.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Standards-Version updated to 4.3.0

maven-jar-plugin (3.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Relocate the previous version of the plugin (3.0.2) to the new one
  * Standards-Version updated to 4.1.5
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs
  * Track and download the new releases from GitHub

 -- Matthias Klose <email address hidden> Tue, 05 Mar 2019 13:57:21 +0100

Changed in maven-jar-plugin (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package maven-doxia-tools - 1.4-4~18.04

---------------
maven-doxia-tools (1.4-4~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1818647.

maven-doxia-tools (1.4-4) unstable; urgency=medium

  * Team upload.
  * Build depend on libplexus-component-metadata-java
    instead of libplexus-maven-plugin-java
  * Standards-Version updated to 4.2.1
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs
  * Removed Damien Raude-Morvan from the uploaders (Closes: #889415)

 -- Matthias Klose <email address hidden> Tue, 05 Mar 2019 13:54:06 +0100

Changed in maven-doxia-tools (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package maven-plugin-testing - 3.3.0-1~18.04

---------------
maven-plugin-testing (3.3.0-1~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1818647.

maven-plugin-testing (3.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Fixed the build failure with plexus-utils 3.1
  * Relocate the old org.apache.maven.shared groupId
  * Removed the javadoc package
  * Standards-Version updated to 4.2.1
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs
  * Track and download the new releases from GitHub

 -- Matthias Klose <email address hidden> Tue, 05 Mar 2019 14:01:49 +0100

Changed in maven-plugin-testing (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package maven-processor-plugin - 3.3.3-1~18.04

---------------
maven-processor-plugin (3.3.3-1~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1818647.

maven-processor-plugin (3.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patch
  * Standards-Version updated to 4.3.0
  * Use salsa.debian.org Vcs-* URLs

 -- Matthias Klose <email address hidden> Tue, 05 Mar 2019 14:03:51 +0100

Changed in maven-processor-plugin (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package maven-resolver - 1.3.1-1~18.04

---------------
maven-resolver (1.3.1-1~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1818647.

maven-resolver (1.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patch
    - Updated the Maven rules
  * Standards-Version updated to 4.2.1

maven-resolver (1.1.1-2) unstable; urgency=medium

  * Team upload.
  * Set the 'release' compiler parameter to preserve the compatibility
    with previous JREs

maven-resolver (1.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patch
    - Ignore the new maven-resolver-demos module
  * Use XZ compression for the upstream tarball
  * Standards-Version updated to 4.1.4
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Matthias Klose <email address hidden> Tue, 05 Mar 2019 14:07:22 +0100

Changed in maven-resolver (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mojo-executor - 2.3.0-1~18.04

---------------
mojo-executor (2.3.0-1~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1818647.

mojo-executor (2.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #911286)

 -- Matthias Klose <email address hidden> Tue, 05 Mar 2019 12:52:31 +0100

Changed in mojo-executor (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package properties-maven-plugin - 1.0.0-2~18.04

---------------
properties-maven-plugin (1.0.0-2~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1818647.

properties-maven-plugin (1.0.0-2) unstable; urgency=medium

  * Team upload.
  * Build depend on libplexus-component-metadata-java
    instead of libplexus-maven-plugin-java
  * Standards-Version updated to 4.2.1
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Matthias Klose <email address hidden> Tue, 05 Mar 2019 14:22:14 +0100

Changed in properties-maven-plugin (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package string-template-maven-plugin - 1.1-1~18.04ubuntu1

---------------
string-template-maven-plugin (1.1-1~18.04ubuntu1) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1818647.

string-template-maven-plugin (1.1-1~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1818647.

string-template-maven-plugin (1.1-1) unstable; urgency=medium

  * Initial release (Closes: #911302)

 -- Matthias Klose <email address hidden> Tue, 05 Mar 2019 12:52:12 +0100

Changed in string-template-maven-plugin (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ant-contrib - 1.0~b3+svn177-10~18.04

---------------
ant-contrib (1.0~b3+svn177-10~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1818647.

ant-contrib (1.0~b3+svn177-10) unstable; urgency=medium

  * Team upload.
  * Add outofdate-test.patch to address FTBFS (Closes: #907763)
  * Update Vcs URLs to point to Salsa
  * Bump Standards-Version to 4.2.1
  * Freshen debian/copyright
  * Use debhelper 11
  * Update Section in debian/control from extra -> optional

 -- Matthias Klose <email address hidden> Tue, 05 Mar 2019 14:51:14 +0100

Changed in ant-contrib (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package clojure-maven-plugin - 1.7.1-2~18.04

---------------
clojure-maven-plugin (1.7.1-2~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1818647.

clojure-maven-plugin (1.7.1-2) unstable; urgency=medium

  * Update Vcs-* links and declare compliance with S-V 4.1.4.

 -- Matthias Klose <email address hidden> Tue, 05 Mar 2019 13:28:57 +0100

Changed in clojure-maven-plugin (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package maven-ant-helper - 8.5~18.04

---------------
maven-ant-helper (8.5~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1818647.

maven-ant-helper (8.5) unstable; urgency=medium

  * Team upload.
  * Added the missing dependency on libstax-java (Closes: #902404)
  * Use salsa.debian.org Vcs-* URLs

 -- Matthias Klose <email address hidden> Tue, 05 Mar 2019 13:35:25 +0100

Changed in maven-ant-helper (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package maven-cache-cleanup - 1.0.4-1~18.04

---------------
maven-cache-cleanup (1.0.4-1~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1818647.

maven-cache-cleanup (1.0.4-1) unstable; urgency=medium

  * Initial release (Closes: #896708)

 -- Matthias Klose <email address hidden> Tue, 05 Mar 2019 13:39:01 +0100

Changed in maven-cache-cleanup (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package maven-clean-plugin - 3.1.0-1~18.04

---------------
maven-clean-plugin (3.1.0-1~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1818647.

maven-clean-plugin (3.1.0-1) unstable; urgency=medium

  * New upstream release
    - Removed 01-junit-dependency.patch (fixed upstream)
  * Standards-Version updated to 4.1.5
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs
  * Track and download the new releases from GitHub

 -- Matthias Klose <email address hidden> Tue, 05 Mar 2019 13:41:11 +0100

Changed in maven-clean-plugin (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package maven-dependency-analyzer - 1.10-1~18.04

---------------
maven-dependency-analyzer (1.10-1~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1818647.

maven-dependency-analyzer (1.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patch
    - Depend on libasm-java (>= 6.0)
  * Standards-Version updated to 4.1.5
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs
  * Track and download the new releases from GitHub

 -- Matthias Klose <email address hidden> Tue, 05 Mar 2019 13:50:08 +0100

Changed in maven-dependency-analyzer (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package maven-parent - 31-2~18.04

---------------
maven-parent (31-2~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1818647.

maven-parent (31-2) unstable; urgency=medium

  * Team upload.
  * Ignore the invoker, javadoc and surefire plugins

maven-parent (31-1) unstable; urgency=medium

  * Team upload.

  [ Stephen Kitt ]
  * Update debian/watch to pull from GitHub.

  [ Emmanuel Bourg ]
  * New upstream release
    - Ignore the new modules
    - Ignore the failsafe and the changes plugins
    - Relocate the version 27 to the current one
  * Removed Damien Raude-Morvan from the uploaders (Closes: #889431)
  * Standards-Version updated to 4.1.4
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs
  * Use XZ compression for the upstream tarball

 -- Matthias Klose <email address hidden> Tue, 05 Mar 2019 13:07:37 +0100

Changed in maven-parent (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package maven-repo-helper - 1.9.3~18.04

---------------
maven-repo-helper (1.9.3~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1818647.

maven-repo-helper (1.9.3) unstable; urgency=medium

  * Team upload.

  [ tony mancill ]
  * Apply patch for mh_patchpoms to honor the --verbose option.
    Thank you to Christopher Hoskin for the patch. (Closes: #835042)

  [ Giovanni Mascellani ]
  * Document the fact that more than one relocation can be specified.

  [ Emmanuel Bourg ]
  * Ignore the --relocate option with mh_installsite and mh_linkjar
    (Closes: #891695)
  * Overwrite the relocation pom instead of appending to it
  * Removed Damien Raude-Morvan from the uploaders (Closes: #889347)
  * Removed the dependency on libstax-java
  * Standards-Version updated to 4.1.4
  * Switch to debhelper level 10
  * Use salsa.debian.org Vcs-* URLs

 -- Matthias Klose <email address hidden> Tue, 05 Mar 2019 13:09:35 +0100

Changed in maven-repo-helper (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package maven-resources-plugin - 3.1.0-1~18.04

---------------
maven-resources-plugin (3.1.0-1~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1818647.

maven-resources-plugin (3.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Standards-Version updated to 4.1.5
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs
  * Track and download the new releases from GitHub

 -- Matthias Klose <email address hidden> Tue, 05 Mar 2019 14:09:38 +0100

Changed in maven-resources-plugin (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package maven-shade-plugin - 3.1.1-1~18.04

---------------
maven-shade-plugin (3.1.1-1~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1818647.

maven-shade-plugin (3.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Depend on libjdom2-java instead of libjdom1-java
  * Standards-Version updated to 4.1.5
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs
  * Track and download the new releases from GitHub

 -- Matthias Klose <email address hidden> Tue, 05 Mar 2019 14:14:08 +0100

Changed in maven-shade-plugin (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package maven-shared-utils - 3.3.0-1~18.04

---------------
maven-shared-utils (3.3.0-1~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1818647.

maven-shared-utils (3.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Standards-Version updated to 4.2.1

maven-shared-utils (3.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Restored the backward compatibility with the version 3.1
  * Standards-Version updated to 4.1.4
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs
  * Track and download the new releases from GitHub

 -- Matthias Klose <email address hidden> Tue, 05 Mar 2019 13:18:21 +0100

Changed in maven-shared-utils (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xml-maven-plugin - 1.0.1-4~18.04

---------------
xml-maven-plugin (1.0.1-4~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1818647.

xml-maven-plugin (1.0.1-4) unstable; urgency=medium

  * Team upload.
  * Removed the dependency on libjaxp1.3-java
  * Removed the unused build dependency on maven-invoker-plugin
  * Removed the Maven rule for plexus-resources
  * Standards-Version updated to 4.1.4
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Matthias Klose <email address hidden> Tue, 05 Mar 2019 14:25:50 +0100

Changed in xml-maven-plugin (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package maven - 3.6.0-1~18.04.1

---------------
maven (3.6.0-1~18.04.1) bionic; urgency=medium

  [ Matthias Klose ]
  * Backport for OpenJDK 11. LP: #1818647.

  [ Tiago Stürmer Daitx ]
  * debian/maven.maintscript: remove obsolete /etc/bash_completion.d/maven
    file. LP: #1824010.

maven (3.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Updated the Maven rules
  * Generate Java 7 compatible bytecode

maven (3.5.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Install the bash-completion script /usr/share/bash-completion/completions/
    instead of /etc/bash_completion.d/
  * Generate Java 8 compatible bytecode
  * Removed the qdox patch (fixed upstream)
  * Standards-Version updated to 4.2.1

maven (3.5.3-1) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * New upstream release
    - Refreshed the patches
    - Depend on libmaven-shared-utils-java (>= 3.2.1)
    - Depend on libmaven-parent-java (>= 31)
  * Standards-Version updated to 4.1.4
  * Use salsa.debian.org Vcs-* URLs

  [ Stephen Kitt ]
  * Remove Damien from the uploaders list; thanks for all the work over
    the years! (Closes: #889396.)
  * Add myself to the uploaders.

 -- Tiago Stürmer Daitx <email address hidden> Tue, 09 Apr 2019 21:35:11 +0000

Changed in maven (Ubuntu Cosmic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers